Bogen-Achsen

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Axis and the translation is 89% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська

Arch Axis.svg Achsen

Menüeintrag
Architektur → Achse
Arbeitsbereich
Arch
Standardtastenkürzel
A X
In der Version eingeführt
-
Siehe auch
Achsensystem, Gitter


Beschreibung

Das Achsen-Werkzeug ermöglicht die Platzierung von Achsensystemen im aktuellen Dokument. Die Entfernung und der Winkel zwischen den Achsen ist genauso wie der Nummerierungsstil konfigurierbar. Die Achsen dienen hauptsächlich als Referenzen zum Rasten von Objekten, können aber auch zusammen mit Achsensystemen und auch als Referenz für andere Arch-Objekte zur parametrischen Erzeugung von Arrays, z.B. von Trägern oder Säulen, genutzt werden. Gitter(Raster) können auch anstelle von Achsen genutzt werden.

Arch Axis example.jpg

Zwei Achsenobjekte, die rechtwinklig zueinander ausgerichtet sind, um ein Raster zu erzeugen


Anwendung

  1. Drücken Sie den Arch Axis.svgAchsen-Knopf oder die Tasten A und X.
  2. Bewegen/Rotieren Sie das Achsensystem in die gewünschte Position.
  3. Mit einem Doppelklick auf das Achsensystem in der Baumansicht in den Editiermodus gehen, um Einstellungen wie Achsenanzahl, Abstände und Winkel zwischen den Achsen anzupassen.

Optionen

  • Jede Achse in einem Achsensystem hat seinen eigenen Abstand und Winkel bezogen auf die vorhergehende Achse. Dies erlaubt die Erstellung sehr komplexer Systeme wie z.B. nicht-orthogonaler Systeme, polarer Systeme oder jede Art von nicht-uniformen System.
  • Durch einen Doppelklick auf die Achsen in der Baumansicht kann man den Abstand, den Winkel und die Beschriftung für jede Achse vornehmen
  • Achsenlänge, Größe der Blasen und Nummerierungsstil sind direkt über die Eigenschaften des Achsensystems einstellbar.
  • Für jede Achse kann auch eine Beschriftung angezeigt werden, die mit dem Aufgabendialog (task panel dialog) angepaßt werden kann.

Eigenschaften

  • DATALength: die Achsenlänge
  • VIEWBubble Size: die Größe der Blasen an den Achsen
  • VIEWNumeration style: der Nummerierungsstil: 1,2,3, A,B,C, etc...
  • VIEWBubble Position: wo sich die Blase an der Achse befindet: am Startpunkt, am Endpunkt, beides oder keines.
  • VIEWFont Name: Einen Schrifttyp, um die Blasennummer und/oder ein Etikett (Beschriftung) anzubringen
  • VIEWFont Size: nur die Größe des Etikettentextes (der Text zur Blase wird durch die Blasengröße bestimmt)
  • VIEWShow Labels: die Anzeige der Etiketten ein- oder ausschalten

Scripting

Siehe auch: Arch API und FreeCAD Scripting Basics.

Das Achsen-Werkzeug kann in Makros ebenso wie aus der Python-Konsole heraus mit folgender Funktion angesprochen werden:

Axes = makeAxis(num=5, size=1000, name="Axes")
  • Erzeugt ein Axes-Objekt basierend auf der gegebenen Anzahl num der Achsen und dem Abstand size zwischen benachbarten Achsen.

Beispiel:

import Draft, Arch

Axes = Arch.makeAxis(5, 1000)

Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150

Axes2 = Arch.makeAxis(6, 500)

Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()

Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()